> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/dq-product/dq-alert-api.md).

# DQ Alert API

The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability

## Return a list of all alerts and their details

> Returns a list of all alerts and their details.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts":{"get":{"tags":["DQ Alert API"],"summary":"Return a list of all alerts and their details","description":"Returns a list of all alerts and their details.","operationId":"getAll","responses":{"200":{"description":"List of alerts","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertDTO"}}}}}}}}},"components":{"schemas":{"AlertDTO":{"type":"object","properties":{"dataset":{"type":"string"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertTriggerType":{"type":"integer","description":"Deprecated: Use alertTypes field instead.\nAlert trigger type mapping:\n0 - Condition\n1 - Job Failure\n2 - Job Complete\n","format":"int32","writeOnly":true,"deprecated":true},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"batchName":{"type":"string"},"addRuleDetails":{"type":"boolean"},"alertTypes":{"uniqueItems":true,"type":"array","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","items":{"type":"string","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}}}
```

## Create or update an alert

> Creates or updates an alert for a given dataset. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#alertDto.dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts":{"post":{"tags":["DQ Alert API"],"summary":"Create or update an alert","description":"Creates or updates an alert for a given dataset. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#alertDto.dataset)`\n","operationId":"upsert","requestBody":{"description":"Alert to add or update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertDTO"}}},"required":true},"responses":{"200":{"description":"Upserted alert","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertDTO"}}}},"403":{"description":"Forbidden. No access to dataset","content":{"application/json":{}}}}}}},"components":{"schemas":{"AlertDTO":{"type":"object","properties":{"dataset":{"type":"string"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertTriggerType":{"type":"integer","description":"Deprecated: Use alertTypes field instead.\nAlert trigger type mapping:\n0 - Condition\n1 - Job Failure\n2 - Job Complete\n","format":"int32","writeOnly":true,"deprecated":true},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"batchName":{"type":"string"},"addRuleDetails":{"type":"boolean"},"alertTypes":{"uniqueItems":true,"type":"array","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","items":{"type":"string","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}}}
```

## List all alerts and their details for a given dataset

> Returns a list of all alerts and their details for a given dataset. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts/{dataset}":{"get":{"tags":["DQ Alert API"],"summary":"List all alerts and their details for a given dataset","description":"Returns a list of all alerts and their details for a given dataset. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"findByDataset","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of alerts by dataset","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertDTO"}}}}},"403":{"description":"User does not have access to the dataset","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertDTO"}}}}}}}}},"components":{"schemas":{"AlertDTO":{"type":"object","properties":{"dataset":{"type":"string"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertTriggerType":{"type":"integer","description":"Deprecated: Use alertTypes field instead.\nAlert trigger type mapping:\n0 - Condition\n1 - Job Failure\n2 - Job Complete\n","format":"int32","writeOnly":true,"deprecated":true},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"batchName":{"type":"string"},"addRuleDetails":{"type":"boolean"},"alertTypes":{"uniqueItems":true,"type":"array","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","items":{"type":"string","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}}}
```

## Retrieve the details of a given alert

> Retrieves the details of a given alert. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts/{dataset}/{alertName}":{"get":{"tags":["DQ Alert API"],"summary":"Retrieve the details of a given alert","description":"Retrieves the details of a given alert. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"get_1","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"alertName","in":"path","description":"Alert name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Alert by dataset and alertName","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertDTO"}}}},"403":{"description":"User does not have access to the dataset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertDTO"}}}}}}}},"components":{"schemas":{"AlertDTO":{"type":"object","properties":{"dataset":{"type":"string"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertTriggerType":{"type":"integer","description":"Deprecated: Use alertTypes field instead.\nAlert trigger type mapping:\n0 - Condition\n1 - Job Failure\n2 - Job Complete\n","format":"int32","writeOnly":true,"deprecated":true},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"batchName":{"type":"string"},"addRuleDetails":{"type":"boolean"},"alertTypes":{"uniqueItems":true,"type":"array","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","items":{"type":"string","description":"Alert types. If not provided, alertTriggerType will be used to determine alert types.","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}}}
```

## Delete an alert

> Delete a given alert. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts/{dataset}/{alertName}":{"delete":{"tags":["DQ Alert API"],"summary":"Delete an alert","description":"Delete a given alert. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"delete_3","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"alertName","in":"path","description":"Alert name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Alert deleted"},"403":{"description":"User does not have access to the dataset","content":{"application/json":{"schema":{"type":"string"}}}}}}}}}
```

## List the alert notifications for a given dataset

> Returns a list of alert notifications for a given dataset. \
> Pre-authorization requirements: \
> \
> \- \`hasDatasetAccess(#dataset)\`<br>

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts/{dataset}/notifications":{"get":{"tags":["DQ Alert API"],"summary":"List the alert notifications for a given dataset","description":"Returns a list of alert notifications for a given dataset. \nPre-authorization requirements: \n\n- `hasDatasetAccess(#dataset)`\n","operationId":"findNotificationsByDataset","parameters":[{"name":"dataset","in":"path","description":"Dataset name","required":true,"schema":{"type":"string"}},{"name":"runDate","in":"query","description":"Run id","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"List of alerts notifications by dataset","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertOutputDTO"}}}}},"403":{"description":"User does not have access to the dataset","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertOutputDTO"}}}}}}}}},"components":{"schemas":{"AlertOutputDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"alertOutputId":{"type":"integer","format":"int32"},"updtTs":{"type":"string","format":"date-time"},"alertTypes":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}}}
```

## List the alert notifications for a given Job ID

> Returns a list of alert notifications for a given Job ID.

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Alert API","description":"The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/alerts/notifications":{"get":{"tags":["DQ Alert API"],"summary":"List the alert notifications for a given Job ID","description":"Returns a list of alert notifications for a given Job ID.","operationId":"findBreaksByDataset_1","parameters":[{"name":"jobId","in":"query","description":"Job Id","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"jobUUID","in":"query","description":"Job UUID","required":false,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"List of alerts notifications by jobId","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertOutputDTO"}}}}},"403":{"description":"User does not have access to the dataset","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlertOutputDTO"}}}}},"404":{"description":"Job not found"}}}}},"components":{"schemas":{"AlertOutputDTO":{"type":"object","properties":{"dataset":{"type":"string"},"runId":{"type":"string","format":"date-time"},"alertNm":{"type":"string"},"alertCond":{"type":"string"},"alertFormat":{"type":"string"},"alertFormatValue":{"type":"string"},"alertMsg":{"type":"string"},"alertOutputId":{"type":"integer","format":"int32"},"updtTs":{"type":"string","format":"date-time"},"alertTypes":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["CONDITION","JOB_FAILURE","JOB_COMPLETE","BREAKING","EXCEPTION","PASSING"]}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/dq-product/dq-alert-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
